using FairyGUI;
using NBC;

namespace NBF
{
    public abstract class BtnInputControlBase : GButton
    {
        public string ActionName;
        public string ShowName;

        public virtual void SetData(string actionName, string showName, string map = InputManager.InputMapUI)
        {
            this.ActionName = actionName;
            this.ShowName = showName;
            if (!string.IsNullOrEmpty(showName))
            {
                title = Lan.Get(showName);
            }
            else
            {
                title = Lan.Get(actionName);
            }

            var iconName = InputManager.Instance.GetInputIcon(map, ActionName);
            icon = UIPackage.GetItemURL(UIDef.Pack.Common, iconName);
        }
    }
}